.form-label{
  margin-bottom: .3rem;
}

.form-control, .form-select{
  border-color: $text-grey-light;
  color: $text-grey-inputs;

  &::placeholder{
    color: $text-grey-light;
  }

  &:focus{
    border-color: $green-main;
    box-shadow: none;
  }
}

.form-select{
  background-image: url("../../images/common/arrow-down.png");
  background-size: 11px auto;
}

.form-check{
  margin-bottom: 0;
  display: inline-flex;
  align-items: center;
}

.form-check-input{
  flex: 0 0 auto;

  &[type="radio"]{
    border-color: $green-main;
    width: 19px;
    height: 19px;
    margin-top: 0;
    margin-right: 12px;

    &:checked{
      background-color: $green-main;
    }

    &:focus{
      box-shadow: none;
    }
  }

  &[type="checkbox"]{
    width: 19px;
    height: 19px;
    align-self: flex-start;
    margin-right: 12px;

    &:checked{
      background-color: white;
      border-color: $green-main;
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%2314a1b8' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
    }

    &:focus{
      box-shadow: none;
      border-color: $green-main;
    }
  }

  + .form-check-label{
    color: $text-grey-inputs;
  }
}

.bg-green{
  .form-label, .form-check-input + .form-check-label{
    color: white
  }

  .form-control{
    background-color: transparent;
    color: white;
    border-color: white;
  }

  .form-check-input[type="radio"]{
    border-color: $green-text;
    background-color: transparent;
  }
}